Bug 25276 - Correct hover style of list share button in the OPAC
Summary: Correct hover style of list share button in the OPAC
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 25211
Blocks: 25280
  Show dependency treegraph
 
Reported: 2020-04-24 13:04 UTC by Owen Leonard
Modified: 2020-05-08 20:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25276: Correct hover style of list share button in the OPAC (4.30 KB, patch)
2020-04-24 14:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25276: Correct hover style of list share button in the OPAC (4.35 KB, patch)
2020-04-24 15:25 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25276: Correct hover style of list share button in the OPAC (4.41 KB, patch)
2020-04-25 22:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-24 13:04:09 UTC
With OpacAllowSharingPrivateLists enabled, in the list of the logged-in user's private lists:

"Edit" is not underlined
"Delete" is not underlined and red
"Shared" is underlined

"Shared" should not be underlined.
Comment 1 Owen Leonard 2020-04-24 14:39:41 UTC
Created attachment 103692 [details] [review]
Bug 25276: Correct hover style of list share button in the OPAC

This patch adds missing "btn" classes to the OPAC share button so that
its style is consistent with similar controls.

The patch also makes some general changes to the OPAC CSS to make sure
link color and hover color are applied with enough specificity. This
corrects the hover color of the share button but should not change any
other existing style.

To test you should have the OpacAllowSharingPrivateLists preference
enabled.
 - Rebuild the OPAC CSS
   (https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
 - Log in to the OPAC as a user with one or more private lists.
 - Go to Lists -> Your lists.
 - In the list of lists there should be a "Share" link for each list.
   Hovering your mouse pointer over the link should change the style in
   the same way the "Edit" link does.
Comment 2 Lucas Gass 2020-04-24 15:02:30 UTC
Owen,

I cannot cleanly apply this patch to master:

error: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-shelves.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 25276: Correct hover style of list share button in the OPAC
Comment 3 Owen Leonard 2020-04-24 15:19:00 UTC
(In reply to Lucas Gass from comment #2)
> I cannot cleanly apply this patch to master:

Sorry, I forgot to add the dependency on Bug 25211!
Comment 4 Lucas Gass 2020-04-24 15:25:40 UTC
Created attachment 103695 [details] [review]
Bug 25276: Correct hover style of list share button in the OPAC

This patch adds missing "btn" classes to the OPAC share button so that
its style is consistent with similar controls.

The patch also makes some general changes to the OPAC CSS to make sure
link color and hover color are applied with enough specificity. This
corrects the hover color of the share button but should not change any
other existing style.

To test you should have the OpacAllowSharingPrivateLists preference
enabled.
 - Rebuild the OPAC CSS
   (https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
 - Log in to the OPAC as a user with one or more private lists.
 - Go to Lists -> Your lists.
 - In the list of lists there should be a "Share" link for each list.
   Hovering your mouse pointer over the link should change the style in
   the same way the "Edit" link does.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Katrin Fischer 2020-04-25 22:36:25 UTC
Created attachment 103713 [details] [review]
Bug 25276: Correct hover style of list share button in the OPAC

This patch adds missing "btn" classes to the OPAC share button so that
its style is consistent with similar controls.

The patch also makes some general changes to the OPAC CSS to make sure
link color and hover color are applied with enough specificity. This
corrects the hover color of the share button but should not change any
other existing style.

To test you should have the OpacAllowSharingPrivateLists preference
enabled.
 - Rebuild the OPAC CSS
   (https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
 - Log in to the OPAC as a user with one or more private lists.
 - Go to Lists -> Your lists.
 - In the list of lists there should be a "Share" link for each list.
   Hovering your mouse pointer over the link should change the style in
   the same way the "Edit" link does.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-04-27 10:24:56 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-05-08 20:57:58 UTC
Backported to 19.11.x for 19.11.06